# Deposit

Use authenticated account access for this endpoint.

### Get Deposit Address

```
GET /api/deposit/usdc-address
```

#### Example request

Use the wallet service host for this endpoint.

{% code title="get\_deposit\_address.sh" %}

```bash
curl "https://wallet-mutator-view.outpoll.com/api/deposit/usdc-address" \
  -H "Authorization: Bearer <token>"
```

{% endcode %}

#### Response `200 OK`

```json
{
  "i": "078dcd98-928d-479f-8110-ff6d27e44de2",
  "a": "0x1234567890abcdef1234567890abcdef12345678"
}
```

| Field | Type   | Description                |
| ----- | ------ | -------------------------- |
| i     | string | Asset ID                   |
| a     | string | Blockchain deposit address |

#### Response `404 Not Found`

Address has not been generated yet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/private-endpoints/deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
